Bug 760361 - [abrt] yum-utils-1.1.31-2.fc16: repoquery:717:doQuery:TypeError: fmt_list() got an unexpected keyword argument 'output'
[abrt] yum-utils-1.1.31-2.fc16: repoquery:717:doQuery:TypeError: fmt_list() g...
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-12-05 16:59 EST by sdcgear
Modified: 2014-01-21 18:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-13 17:22:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: smolt_data (3.84 KB, text/plain)
2011-12-05 16:59 EST, sdcgear
no flags Details

  None (edit)
Description sdcgear 2011-12-05 16:59:29 EST
libreport version: 2.0.7
abrt_version:   2.0.6
cmdline:        /usr/bin/python -tt /usr/bin/repoquery --group --list xfce-desktop
comment:        Just run the command; it's just a query and should not have any undesirable side-effects
event_log:      2011-12-05-16:53:59> Smolt profile successfully saved
executable:     /usr/bin/repoquery
kernel:         3.1.2-1.fc16.x86_64
reason:         repoquery:717:doQuery:TypeError: fmt_list() got an unexpected keyword argument 'output'
time:           Mon 05 Dec 2011 04:47:37 PM EST
uid:            1000

smolt_data:     Text file, 3934 bytes

:repoquery:717:doQuery:TypeError: fmt_list() got an unexpected keyword argument 'output'
:Traceback (most recent call last):
:  File "/usr/bin/repoquery", line 1406, in <module>
:    main(sys.argv)
:  File "/usr/bin/repoquery", line 1400, in main
:    repoq.runQuery(regexs)
:  File "/usr/bin/repoquery", line 990, in runQuery
:    dot = self.options.dot)
:  File "/usr/bin/repoquery", line 717, in doQuery
:    return "\n".join(getattr(self, "fmt_%s" % method)(*args, **kw))
:TypeError: fmt_list() got an unexpected keyword argument 'output'
:Local variables in innermost frame:
:self: <__main__.groupQuery instance at 0x1f6e560>
:args: ()
:kw: {'output': 'text', 'tree_level': 'all', 'dot': None}
:method: 'list'
Comment 1 sdcgear 2011-12-05 16:59:33 EST
Created attachment 541094 [details]
File: smolt_data
Comment 2 Paul Howarth 2012-02-03 11:00:25 EST
I'm getting this for just about any repoquery group query, including one given as an example in the manpage.
Comment 3 Paul Howarth 2012-02-03 11:19:47 EST
This upstream commit seems to fix it for me:

Comment 4 Fedora End Of Life 2013-01-16 12:33:36 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Fedora End Of Life 2013-02-13 17:22:44 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.